#include <src/fm.h>

void fMain::toggleFullScreen(){
// Переключение на полный экран и обратно
	QDesktopWidget desktop;
	if (!FullScreenFlag){
		frControl->setVisible (false);
		winstate=windowState ();
		winrect=videoFrame->geometry();
		QRect r (desktop.screenGeometry());
		blackFrame->setGeometry (r);
		FullScreenFlag = true;
		setZoom (Channels[CurrentChannel-1].zoom);
		showFullScreen();
		}
	else {
		QRect r =winrect;
		videoFrame->setGeometry (r);
		blackFrame->setGeometry (r);
		frControl->setVisible (true);
		showNormal();
		FullScreenFlag = false;
		}
}

void fMain::FullScreenZoom (QString zoom){
	Channels[CurrentChannel-1].zoom=Channels[CurrentChannel-1].zoom+zoom.toDouble();
	setZoom (Channels[CurrentChannel-1].zoom);
}

void fMain::FullScreenZoomSet (QString zoom){
	Channels[CurrentChannel-1].zoom=zoom.toDouble();
	setZoom (Channels[CurrentChannel-1].zoom);
}

void fMain::setZoom(const double value){
	QDesktopWidget desktop;
	QRect r (desktop.screenGeometry());
	if (FullScreenFlag){
		double zoom=value;
		int vWidth=(confPanel->cpSizeWidth->value()-confPanel->cpCropLeft->value()-confPanel->cpCropRight->value())*zoom;
		int vHeight=(confPanel->cpSizeHeight->value()-confPanel->cpCropTop->value()-confPanel->cpCropBottom->value())*zoom;
		int vLeft=(r.width()-vWidth)/2;
		int vTop=(r.height()-vHeight)/2;
		videoFrame->setGeometry (vLeft,vTop,vWidth,vHeight);
		}
}
