#include <QApplication>
#include <QtDBus>
#include "fm.h"

int main(int argc, char ** argv)
{
	QApplication app( argc, argv );
	QTextCodec::setCodecForTr(QTextCodec::codecForName("UTF-8"));
	QTextCodec::setCodecForCStrings(QTextCodec::codecForName("UTF-8"));
	QTranslator translator;
	translator.load ("tvok_"+QLocale::system().name()+".qm","/usr/share/tvok/translations/");
	app.installTranslator (&translator);
	QString copyright=COPYRIGHT;
	qDebug ("%s",qPrintable (copyright));
	fMain win;
	app.connect( &app, SIGNAL( lastWindowClosed() ), &app, SLOT( quit() ) );
	return app.exec();
}
