#include <src/fm.h>

void fMain::recordViewStart(){
	if (!PidExists){
		QString command="mplayer -slave -wid "+videoFrameId+" "+confPanel->cpTVParameters->text()+" -osdlevel 2 -subfont-osd-scale 4 -speed "+\
			confPanel->cpPSpeed->text()+" \""+FileRec+"\"";
//		QString command="xine "+FileRec+"\"";
		prRecordView.start (command);
		prRecordView.waitForStarted (1000);
		oprint (tr ("View recorded started")+": \""+command+"\"");
		PidSave ();
		}
}

void fMain::recordViewStop(){
// Остановка просмотра записи
	if (!PidExists){
		if (prRecordView.state()==QProcess::Running){
			QString mess=tr ("normal.");
			prRecordView.terminate ();
			if (! prRecordView.waitForFinished (1000)){
				prRecordView.kill ();
				mess=tr ("abnormally. Not critical.");
				}
			oprint (tr ("View recorded stopped")+" "+mess);
			}
		}
}
