#include "videoframe.h"

VideoFrame::VideoFrame(QWidget *parent): QFrame(parent){
	currentCursor=cursor();
}

VideoFrame::~VideoFrame(){
}

void VideoFrame::mouseDoubleClickEvent ( QMouseEvent *){
	emit doubleClicked();
}

void VideoFrame::wheelEvent ( QWheelEvent* event ){
	emit wheelMove(event->delta());
}

void VideoFrame::contextMenuEvent ( QContextMenuEvent *){
	emit contextMenu();
}

void VideoFrame::mouseMoveEvent ( QMouseEvent *){
	setCursor (currentCursor);
	curTime.singleShot (CURSOR_OFF_TIME, this, SLOT (cursorOff()));
}

void VideoFrame::cursorOff(){
	setCursor (Qt::BlankCursor);
}