#ifndef VIDEOFRAME_H
#define VIDEOFRAME_H
#include <QtGui>
// Время отключения курсора
#define CURSOR_OFF_TIME 5000

class VideoFrame : public QFrame
{
Q_OBJECT
Q_CLASSINFO("D-Bus Interface", "org.kochkin.tvok")
public:
	VideoFrame(QWidget *parent);
	~VideoFrame();
	QTimer curTime;
	QCursor currentCursor;

protected:
	void mouseDoubleClickEvent ( QMouseEvent * e );
	void wheelEvent ( QWheelEvent*);
	void contextMenuEvent ( QContextMenuEvent * e );
	void mouseMoveEvent ( QMouseEvent * event );
	
signals:
	void doubleClicked();
	void wheelMove(int);
	void contextMenu();
	
private slots:
	void cursorOff();

};
#endif
