#include "fdial.h"

fDial::fDial( QWidget * parent, Qt::WFlags f) : QDialog(parent, f){
	setupUi(this);
	timer = new QTimer (this);
	connect (timer, SIGNAL (timeout()), this, SLOT (incBar()));
}

fDial::~fDial(){
}

void fDial::clickedButton1(){
	timer->stop();
	done (1);
}

void fDial::clickedButton2(){
	timer->stop();
	done (2);
}

void fDial::showEvent (QShowEvent *){
	if (Button1->text() == "") Button1->setVisible(false);
	if (Button2->text() == "") Button2->setVisible(false);
	else Button2->setVisible(true);
	if (!timer->isActive()){
		Bar->setMaximum (Timeout);
		Bar->setValue (0);
		incTimer=0;
		timer->start(100);
		}
}

void fDial::incBar(){
	Bar->setValue (incTimer);
	if (incTimer > Timeout){
		timer->stop();
		done (0);
		}
	incTimer=incTimer+100;
}