#include <src/fm.h>

void fMain::viewStart(){
// Запуск просмотра
	if (!PidExists){
		PidSave();
		QString vfilters=" ";
// Добавление видеофильтров
		if (confPanel->cpVVideoFiltersEnabled->checkState()==Qt::Checked){vfilters=confPanel->cpVVideoFilters->text();}
// Добавление обрезки
		QString crop="scale="+QString::number(confPanel->cpSizeWidth->value())+":"+QString::number(confPanel->cpSizeHeight->value())+\
				",crop="+QString::number(confPanel->cpSizeWidth->value()-(confPanel->cpCropLeft->value()+confPanel->cpCropRight->value()))+\
				":"+QString::number(confPanel->cpSizeHeight->value()-(confPanel->cpCropTop->value()+confPanel->cpCropBottom->value()))+\
				":"+QString::number(confPanel->cpCropLeft->value())+":"+QString::number(confPanel->cpCropTop->value());
// Если включен CropEnabled
//		if (confPanel->cpCropEnabled->checkState()==Qt::Checked){
// Если видеофильты не были добавлены ранее
			if (vfilters == " ") vfilters=crop;
// Если видеофильтры были добавлены ранее
			else vfilters=vfilters+","+crop;
//				}
// Если есть видеофильтры
		if (vfilters != " ") vfilters=" -vf "+vfilters;
// Добавление размера
		QString vsize=":width="+QString::number(tunerWidth)+":height="+QString::number(tunerHeight);
		QString command = "mplayer -wid "+videoFrameId+\
			" -subfont-osd-scale 4"+\
			" -slave -quiet"+vfilters+\
			" -tv device="+confPanel->cpVideoDevicePrefix->text()+device+\
			vsize+\
			":amode=1:norm="+Channels[CurrentChannel-1].norm+\
			":freq="+Channels[CurrentChannel-1].freq+\
			":input=0"+confPanel->cpTVParameters->text()+" "+confPanel->cpVOtherParameters->text()+" tv://";

		prView.start (command);
		prView.waitForStarted (2000);
		oprint (tr ("View started")+": \""+command+"\"");
		QTimer::singleShot (RECHANNEL_MS_VIEW, this, SLOT (rechangeChannel()));
		PidSave();
	}
}

void fMain::viewStop(){
// Остановка просмотра
	if (!PidExists){
		if (prView.state()==QProcess::Running){
			QString mess=tr ("normal.");
			prView.terminate ();
			if (! prView.waitForFinished (1000)){
				prView.kill ();
				mess=tr ("abnormally. Not critical.");
				}
			oprint (tr ("View stopped")+" "+mess);
			}
		}
}
